# Conversation.ConversationState (Scissors-API 1.19-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.conversations, class: Conversation, enum: ConversationState

Package org.bukkit.conversations

# Enum Class Conversation.ConversationState

java.lang.Object
java.lang.Enum<Conversation.ConversationState>
org.bukkit.conversations.Conversation.ConversationState

All Implemented Interfaces:
  `Serializable`, `Comparable<Conversation.ConversationState>`, `Constable`

Enclosing class:
  Conversation

public static enum Conversation.ConversationState extends Enum<Conversation.ConversationState>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABANDONED`
`STARTED`
`UNSTARTED`

## Method Summary

Modifier and Type
Method
Description
`static Conversation.ConversationState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Conversation.ConversationState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNSTARTED

public static final Conversation.ConversationState UNSTARTED

### STARTED

public static final Conversation.ConversationState STARTED

### ABANDONED

public static final Conversation.ConversationState ABANDONED

## Method Details

### values

public static Conversation.ConversationState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Conversation.ConversationState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null